> ## Documentation Index
> Fetch the complete documentation index at: https://crossmint-devin-1787949784-wallet-docs-two-concept-model.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IP Asset Graph

> Get the graph of an IP Asset, by default it will fetch the first level of parents and children (depth = 1). You can customize the depth using the query parameter 'depth' to a maximum of 3. Maximum 100 parents or children will be returned for each level.

The ipAssetId parameter should be the Story Protocol asset ID (not the Crossmint ID). Must start with '0x' followed by hexadecimal characters.

**API scope required**: `nfts.read`

<Warning>This API is still under development. Contact support for early access.</Warning>{" "}


## OpenAPI

````yaml get /v1/ip/graph/{ipAssetId}
openapi: 3.0.0
info:
  contact:
    email: support@crossmint.com
    name: Crossmint Support
    url: https://www.crossmint.com
  description: Crossmint Story API
  title: Crossmint Story API
  version: 1.0.0
servers:
  - description: Staging environment (testnets)
    url: https://staging.crossmint.com/api
security: []
tags: []
paths:
  /v1/ip/graph/{ipAssetId}:
    get:
      tags:
        - IP Story Protocol
      summary: Get IP Asset Graph
      description: >-
        Get the graph of an IP Asset, by default it will fetch the first level
        of parents and children (depth = 1). You can customize the depth using
        the query parameter 'depth' to a maximum of 3. Maximum 100 parents or
        children will be returned for each level.


        The ipAssetId parameter should be the Story Protocol asset ID (not the
        Crossmint ID). Must start with '0x' followed by hexadecimal characters.


        **API scope required**: `nfts.read`
      operationId: StoryApiController-getIpaGraph-4
      parameters:
        - description: API key required for authentication
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
        - in: path
          name: ipAssetId
          required: true
          schema:
            type: string
        - in: query
          name: depth
          required: false
          schema:
            default: '1'
            pattern: ^\d+$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPAssetGraphDto'
          description: IP Asset Graph found
components:
  schemas:
    IPAssetGraphDto:
      properties:
        children:
          description: Array of child IP asset nodes
          example:
            children:
              - children: []
                ipId: '0xabcdef0123456789abcdef0123456789abcdef01'
            ipId: '0x123456789abcdef0123456789abcdef012345678'
          items:
            $ref: '#/components/schemas/IPAssetGraphDto__schema1'
          type: array
        parents:
          description: Array of parent IP asset nodes
          example:
            ipId: '0xAb92d4f9EA97666c40527D54a9aF4D7F82ab8552'
            parents:
              - ipId: '0x9876543210abcdef9876543210abcdef98765432'
                parents: []
          items:
            $ref: '#/components/schemas/IPAssetGraphDto__schema0'
          type: array
        rootIpId:
          description: The root IP ID for which the graph was generated
          example: '0xf6546a7e5342b152366E3B3FC773743b6D991aB2'
          type: string
      required:
        - children
        - parents
        - rootIpId
      type: object
    IPAssetGraphDto__schema1:
      properties:
        children:
          description: Array of child IP asset nodes, empty if no children are available
          example:
            children: []
            ipId: '0xabcdef0123456789abcdef0123456789abcdef01'
          items:
            $ref: '#/components/schemas/IPAssetGraphDto__schema1'
          type: array
        ipId:
          description: The IP ID of the child asset
          example: '0x123456789abcdef0123456789abcdef012345678'
          type: string
      required:
        - children
        - ipId
      type: object
    IPAssetGraphDto__schema0:
      properties:
        ipId:
          description: The IP ID of the parent asset
          example: '0xf6546a7e5342b152366E3B3FC773743b6D991aB2'
          type: string
        parents:
          description: Array of parent IP asset nodes, empty if no parents are available
          example:
            ipId: '0xAb92d4f9EA97666c40527D54a9aF4D7F82ab8552'
            parents: []
          items:
            $ref: '#/components/schemas/IPAssetGraphDto__schema0'
          type: array
      required:
        - ipId
        - parents
      type: object

````